'从时间字符串返回日期序列号
'TimeValueYF( ByRef TimeString as String ) as Double '
'FB 内置 TimeValue 限制"23:59:59"或"11:59:59PM"，其它内容，应用全部情况，所以自己写个
'TimeString  必须是  时 分 秒 排列，中间分割及前后的字符可以是除数字之外的任意字符
'            从字符后面读，遇到第1组数字为秒，2组为分，3组为时，所以前面可以包含日期
#Include Once "vbcompat.bi"
Function TimeValueYF(ByRef TimeString as String) as Double '
   Dim as Long  I,a,b
   Dim as String h,m,s,c
   b = -1
   For i = Len(TimeString) To 1 Step -1
      c = Mid(TimeString, i, 1)
      If InStr("0123456789", c) = 0 Then
         If a = 0 Then
            a = 1
            b += 1
         End If
      Else
         If b = -1 Then b = 0
         Select Case b
            Case 0
               s = c & s
            Case 1
               m = c & m
            Case 2
               h = c & h
            Case Else
               Exit For
         End Select
         a = 0
      End If
   Next
   
   Function = TimeSerial(Val(h), Val(m), Val(s))
   
End Function